Я пытаюсь использовать spring-session-jdbc:2.0.0.RC2, которого нет в https://mvnrepository.com/artifact/org.springframework.session/spring-session-jdbc/1.3.1.RELEASE

Весенняя сессия github имеет более новую версию, чем mvnrepository.

Как я могу добавить зависимость новой версии в файл pom.xml?

0
eugene 16 Дек 2017 в 17:51

1 ответ

Лучший ответ

Чтобы получить зависимости, которых нет в центральном репозитории mvn, вы должны сообщить своему проекту, что вам нужно, чтобы он указывал на дополнительный репозиторий. В вашем случае этот фрагмент, добавленный в ваш pom, должен:

<repositories>
        <repository>
            <id>spring-milestone-repository</id>
            <name></name>
            <url>http://repo.spring.io/milestone/</url>
        </repository>
    </repositories>

После объявления этого вы просто добавляете это в свои зависимости, и он будет загружен:

<dependency>
    <groupId>org.springframework.session</groupId>
    <artifactId>spring-session-jdbc</artifactId>
    <version>2.0.0.M2</version>
</dependency>
0
BabaNew 16 Дек 2017 в 15:00